System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

Each field in the class maps to an OLE DB schema rowset.

Some members of the class, (such as schema) may not be supported by your OLE DB provider. Refer to your database documentation to determine whether you can retrieve this schema information by querying the system tables of your database.

Returns the type of schema table specified by the method.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Field
  System.Guid

  maps to the OLE DB ASSERTIONS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  Returns the assertions defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  df855bea-fb95-4abc-8932-e57e45c7ddae
- Field
  System.Guid

  maps to the OLE DB CATALOGS rowset and returns the following restriction column.

  Restriction column

  CLR data type

  Description

  CATALOG_NAME

  string

  Catalog name. Cannot be a null value.

  Returns the physical attributes associated with catalogs accessible from the data source. Returns the assertions defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  e4a67334-f03c-45af-8b1d-531f99268045
- Field
  System.Guid

  maps to the OLE DB CHARACTER_SETS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CHARACTER_SET_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CHARACTER_SET_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CHARACTER_SET_NAME

  string

  Character set name.

  Returns the character sets defined in the catalog that is accessible to a given user.

  1.0.5000.0
  2.0.0.0
  e4533bdb-0b55-48ee-986d-17d07143657d
- Field
  System.Guid

  maps to the OLE DB CHECK_CONSTRAINTS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  Returns the check constraints defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  fedf7f5d-cfb4-4635-af02-45eb4bb4e8f3
- Field
  System.Guid

  maps to the OLE DB CHECK_CONSTRAINTS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  Returns the check constraints defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  d76547ef-837d-413c-8d76-bab1d7bb014a
- Field
  System.Guid

  maps to the OLE DB COLLATIONS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  COLLATION_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  COLLATION_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  COLLATION_NAME

  string

  Collation name.

  Returns the character collations defined in the catalog that is accessible to a given user.

  1.0.5000.0
  2.0.0.0
  5145b85c-c448-4b9e-8929-4c2de31ffa30
- Field
  System.Guid

  maps to the OLE DB COLUMN_DOMAIN_USAGE rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  DOMAIN_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  DOMAIN_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  DOMAIN_NAME

  string

  View name.

  COLUMN_NAME

  string

  Column name. This column, together with the COLUMN_GUID and COLUMN_PROPID columns, forms the column ID. One or more of these columns will be a null value, depending on which elements of the DBID structure the provider uses. (DBID is a formal structure serialized into the COLUMN_NAME column of the COLUMN_DOMAIN_USAGE rowset.)

  Returns the columns defined in the catalog that are dependent on a domain defined in the catalog and owned by a given user.

  1.0.5000.0
  2.0.0.0
  058acb5e-eb1d-4b6e-8e98-a7d59a959ff1
- Field
  System.Guid

  maps to the OLE DB COLUMN_PRIVILEGES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name in which the table is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  COLUMN_NAME

  string

  Column name. This column, together with the COLUMN_GUID and COLUMN_PROPID columns, forms the column ID. One or more of these columns will be a null value, depending on which elements of the DBID structure the provider uses.

  GRANTOR

  string

  User that granted the privileges on the table in TABLE_NAME.

  GRANTEE

  string

  User name (or "PUBLIC") that the privilege has been granted to.

  Returns the privileges on columns of tables defined in the catalog that are available to or granted by a given user.

  1.0.5000.0
  2.0.0.0
  43152796-f3b4-4342-9647-008f1060e352
- Field
  System.Guid

  maps to the OLE DB COLUMNS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name. The column returned cannot contain a null value.

  COLUMN_NAME

  string

  The name of the column; this might not be unique. If this cannot be determined, a null value is returned. This column, together with the COLUMN_GUID and COLUMN_PROPID columns, forms the column ID. One or more of these columns will be a null value, depending on which elements of the DBID structure the provider uses. (DBID is a formal structure serialized into the COLUMN_NAME column of the COLUMN_DOMAIN_USAGE rowset.) If possible, the resulting column ID should be persistent. However, some providers do not support persistent identifiers for columns. The column ID of a base table should be invariant under views.

  Returns the columns of tables (including views) defined in the catalog that is accessible to a given user.

  1.0.5000.0
  2.0.0.0
  86dcd6e2-9a8c-4c6d-bc1c-e0e334c727c9
- Field
  System.Guid

  maps to the OLE DB CONSTRAINT_COLUMN_USAGE rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name in which the table is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  COLUMN_NAME

  string

  Column name. This column, together with the COLUMN_GUID and COLUMN_PROPID columns, forms the column ID. One or more of these columns will be a null value, depending on which elements of the DBID structure the provider uses.

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  Returns the columns used by referential constraints, unique constraints, check constraints, and assertions, defined in the catalog and owned by a given user.

  1.0.5000.0
  2.0.0.0
  3a39f999-f481-4293-8b9f-af7e91b4ee7d
- Field
  System.Guid

  maps to the OLE DB CONSTRAINT_TABLE_USAGE rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name in which the table is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  Returns the tables that are used by referential constraints, unique constraints, check constraints, and assertions defined in the catalog and owned by a given user.

  1.0.5000.0
  2.0.0.0
  d689719b-24b0-4963-a635-097c480edcd2
- Field
  System.Guid

  Using is equivalent to calling the OLE DB IDBInfo::GetLiteralInfo interface, or the ADO Connection.OpenSchema method with the adSchemaDBInfoLiterals constant.

  When using the method, if the parameter contains a value of and the parameter contains one or more restrictions, an is generated.

  Returns a list of provider-specific literals used in text commands.

  1.0.5000.0
  2.0.0.0
  7a564da6-f3bc-474b-9e66-71cb47bde5b0
- Field
  System.Guid

  maps to the OLE DB FOREIGN_KEYS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  PK_TABLE_CATALOG

  string

  Catalog name in which the primary key table is defined. A null value if the provider does not support catalogs.

  PK_TABLE_SCHEMA

  string

  Unqualified schema name in which the primary key table is defined. A null value if the provider does not support schemas.

  PK_TABLE_NAME

  string

  Primary key table name.

  FK_TABLE_CATALOG

  string

  Catalog name in which the foreign key table is defined. A null value if the provider does not support catalogs.

  FK_TABLE_SCHEMA

  string

  Unqualified schema name in which the foreign key table is defined. A null value if the provider does not support schemas.

  FK_TABLE_NAME

  string

  Foreign key table name.

  Returns the foreign key columns defined in the catalog by a given user.

  1.0.5000.0
  2.0.0.0
  d9e547ce-e62d-4200-b849-566bc3dc29de
- Field
  System.Guid

  maps to the OLE DB INDEXES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  INDEX_NAME

  string

  Index name.

  TYPE

  UInt16 (Int32)

  The type of the index. One of the following:

  DBPROPVAL_IT_BTREE-The index is a B+-tree.

  DBPROPVAL_IT_HASH-The index is a hash file using, for example, linear or extensible hashing.

  DBPROPVAL_IT_CONTENT-The index is a content index.

  DBPROPVAL_IT_OTHER-The index is some other type of index.

  TABLE_NAME

  string

  Table name.

  Returns the indexes defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  69d8523c-96ad-40cb-a89a-ee98d2d6fcec
- Field
  System.Guid

  maps to the OLE DB KEY_COLUMN_USAGE rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  TABLE_CATALOG

  string

  Catalog name in which the table containing the key column is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table containing the key column is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name containing the key column.

  COLUMN_NAME

  string

  Name of the column participating in the unique, primary, or foreign key. This column, together with the COLUMN_GUID and COLUMN_PROPID columns, forms the column ID. One or more of these columns will be a null value, depending on which elements of the DBID structure the provider uses. (DBID is a formal structure serialized into the COLUMN_NAME column of the COLUMN_DOMAIN_USAGE rowset.)

  Returns the columns defined in the catalog that is constrained as keys by a given user.

  1.0.5000.0
  2.0.0.0
  65423211-805e-4822-8eb4-f4f6d540056e
- Field
  System.Guid

  maps to the OLE DB PRIMARY_KEYS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name in which the table is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  Returns the primary key columns defined in the catalog by a given user.

  1.0.5000.0
  2.0.0.0
  c6e5b174-fbd8-4055-b757-8585040e463f
- Field
  System.Guid

  maps to the OLE DB PROCEDURE_COLUMNS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  PROCEDURE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  PROCEDURE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  PROCEDURE_NAME

  string

  Procedure name.

  COLUMN_NAME

  string

  The name of the column; this might not be unique. If this cannot be determined, a null value is returned. This column, together with the COLUMN_GUID and COLUMN_PROPID columns, forms the column ID. One or more of these columns will be a null value, depending on which elements of the DBID structure the provider uses.

  The schema is not supported by any OLE DB providers that ship in MDAC version 2.7. Refer to your database documentation to determine whether you can retrieve this schema information by querying the system tables of your database.

  Returns information about the columns of rowsets returned by procedures.

  1.0.5000.0
  2.0.0.0
  7148080d-e053-4ada-b79a-9a2ff614a3d4
- Field
  System.Guid

  maps to the OLE DB PROCEDURE_PARAMETERS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  PROCEDURE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  PROCEDURE_SCHEMA

  string

  Schema name. A null value if the provider does not support catalogs.

  PROCEDURE_NAME

  string

  Procedure name.

  PARAMETER_NAME

  string

  Parameter name. A null value if the parameter is not named.

  Returns information about the parameters and return codes of procedures.

  1.0.5000.0
  2.0.0.0
  984af700-8fe7-476f-81c2-4b814df67907
- Field
  System.Guid

  maps to the OLE DB PROCEDURES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  PROCEDURE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  PROCEDURE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  PROCEDURE_NAME

  string

  Procedure name.

  PROCEDURE_TYPE

  UInt16

  DB_PT_UNKNOWN-It is not known whether there is a returned value.

  DB_PT_PROCEDURE-Procedure; there is no returned value.

  DB_PT_FUNCTION-Function; there is a returned value.

  Returns the procedures defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  61f276ad-4f25-4c26-b4ae-8238e06d56db
- Field
  System.Guid

  maps to the OLE DB PROVIDER_TYPES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  DATA_TYPE

  UInt16 (Int32)

  The indicator of the data type.

  BEST_MATCH

  Int16

  VARIANT_TRUE-The data type is the best match between all data types in the data store and the OLE DB data type indicated by the value in the DATA_TYPE column.

  VARIANT_FALSE-The data type is not the best match. For each set of rows in which the value of the DATA_TYPE column is the same, the BEST_MATCH column is set to VARIANT_TRUE in only one row.

  Returns the base data types supported by the .NET Framework Data Provider for OLE DB.

  1.0.5000.0
  2.0.0.0
  0bc2da44-d834-4136-9ff0-3cef477784b9
- Field
  System.Guid

  maps to the OLE DB REFERENTIAL_CONSTRAINTS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  Returns the referential constraints defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  d2eab85e-49a7-462d-aa22-1d97c74178ae
- Field
  System.Guid

  maps to the OLE DB SCHEMATAS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CATALOG_NAME

  string

  Catalog name. A null value if the provider does not support catalogs.

  SCHEMA_NAME

  string

  Unqualified schema name

  SCHEMA_OWNER

  string

  User that owns the schemas.

  Returns the schema objects that are owned by a given user.

  1.0.5000.0
  2.0.0.0
  2fbd7503-0af3-43d2-92c6-51e78b84dd37
- Field
  System.Guid

  maps to the OLE DB SQL_LANGUAGES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  SQL_LANGUAGE_SOURCE

  string

  "ISO 9075" for standard SQL.

  SQL_LANGUAGE_YEAR

  string

  "1992" for ANSI SQL-92–compliant SQL.

  SQL_LANGUAGE_CONFORMANCE

  string

  One of the following: "ENTRY", "INTERMEDIATE", or "FULL".

  SQL_LANGUAGE_INTEGRITY

  string

  "YES"= Optional integrity feature is supported.

  "NO"=Optional integrity feature is not supported.

  SQL_LANGUAGE_IMPLEMENTATION

  string

  NULL for "ISO 9075" implementation.

  SQL_LANGUAGE_BINDING_STYLE

  string

  "DIRECT" for C/C++ callable direct execution of SQL.

  SQL_LANGUAGE_PROGRAMMING_LANGUAGE

  string

  NULL.

  Returns the conformance levels, options, and dialects supported by the SQL-implementation processing data defined in the catalog.

  1.0.5000.0
  2.0.0.0
  d60a511d-a07f-4e59-aac2-71c25fab5b02
- Field
  System.Guid

  maps to the OLE DB STATISTICS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  Returns the statistics defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  03ed9f7d-35bc-45fe-993f-ee7a5f29fb74
- Field
  System.Guid

  maps to the OLE DB TABLE_CONSTRAINTS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  CONSTRAINT_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  CONSTRAINT_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  CONSTRAINT_NAME

  string

  Constraint name.

  TABLE_CATALOG

  string

  Catalog name in which the table is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  CONSTRAINT_TYPE

  string

  Constraint type. One of the following: UNIQUE, PRIMARY KEY, FOREIGN KEY, or CHECK.

  Returns the table constraints defined in the catalog that is owned by a given user.

  1.0.5000.0
  2.0.0.0
  62883c55-082d-42cb-bb00-747985ca6047
- Field
  System.Guid

  maps to the OLE DB TABLE_PRIVILEGES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name in which the table is defined. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name in which the table is defined. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  GRANTOR

  string

  User that granted the privileges on the table in TABLE_NAME.

  GRANTEE

  string

  User name (or "PUBLIC") that the privilege has been granted to.

  Returns the privileges on tables defined in the catalog that are available to, or granted by, a given user.

  1.0.5000.0
  2.0.0.0
  1a73f478-8c8e-4ede-b3ec-22ba13ab55a0
- Field
  System.Guid

  maps to the OLE DB TABLE_STATISTICS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name of the table of this statistic. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Schema name of the table. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  STATISTICS_CATALOG

  string

  Catalog name of the statistic. A null value if the provider does not support catalogs.

  STATISTICS_SCHEMA

  string

  Schema name of the statistic. A null value if the provider does not support schemas.

  STATISTICS_NAME

  string

  Name of the statistic.

  STATISTICS_TYPE

  UInt16 (Int32)

  Bitmask specifying the kinds of statistics supported by this statistic:

  DBSTAT_HISTOGRAM—Indicates histogram support.

  DBSTAT_COLUMN_CARDINALITY— Indicates column cardinality support.

  DBSTAT_TUPLE_CARDINALITY—Indicates tuple cardinality support.

  Note: Histograms correspond to only the first column for a multi-column statistic.

  Describes the available set of statistics on tables in the provider.

  1.0.5000.0
  2.0.0.0
  9c944744-cd51-448a-8be4-7095f039d0ef
- Field
  System.Guid

  maps to the OLE DB TABLES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name. The column returned cannot contain a null value.

  TABLE_TYPE

  string

  Table type. One of the following or a provider-specific value: "ALIAS", "TABLE" "SYNONYM", "SYSTEM TABLE", "VIEW", "GLOBAL TEMPORARY", "LOCAL TEMPORARY", or "SYSTEM VIEW". The column returned cannot contain a null value.

  Returns the tables (including views) defined in the catalog that are accessible to a given user.

  1.0.5000.0
  2.0.0.0
  ceac88ba-240c-4bb4-821e-4a49fc013371
- Field
  System.Guid

  maps to the OLE DB TABLES_INFO rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_TYPE

  string

  Table type. One of the following or a provider-specific value: ALIAS, TABLE, SYNONYM, SYSTEM TABLE, VIEW, GLOBAL TEMPORARY, LOCAL TEMPORARY, EXTERNAL TABLE, or SYSTEM VIEW.

  TABLE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  Table name.

  Returns the tables (including views) that are accessible to a given user.

  1.0.5000.0
  2.0.0.0
  9ff81c59-2b1e-4371-a08b-3a2d373189fa
- Field
  System.Guid

  maps to the OLE DB TRANSLATIONS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TRANSLATION_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TRANSLATION_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  TRANSLATION_NAME

  string

  Translation name.

  Returns the character translations defined in the catalog that is accessible to a given user.

  1.0.5000.0
  2.0.0.0
  5578b57e-a682-4f1b-bdb4-f8a14ad6f61e
- Field
  System.Guid

  maps to the OLE DB TRUSTEE schema. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TRUSTEE_NAME

  string

  Trustee name.

  TRUSTEE_GUID

  guid

  GUID that uniquely identifies the trustee. Providers that do no use GUIDs to identify trustees should return a null value in this column.

  TRUSTEE_PROPID

  UInt32 (Int64)

  PropID that uniquely identifies the trustee. Providers that do not use PropIDs to identify trustees should return a null value in this column.

  TRUSTEE_TYPE

  UInt32 (Int64)

  Trustee type. One of the following:

  TRUSTEE_IS_UNKNOWN - The trustee is an unknown type, but not necessarily an invalid type.

  TRUSTEE_IS_USER - The trustee account is a user account.

  TRUSTEE_IS_GROUP - The trustee is a group account.

  Identifies the trustees defined in the data source.

  1.0.5000.0
  2.0.0.0
  521207e2-3a23-42b6-ac78-810a3fce3271
- Field
  System.Guid

  maps to the OLE DB USAGE_PRIVILEGES rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  OBJECT_CATALOG

  string

  Catalog name in which the object is defined. A null value if the provider does not support catalogs.

  OBJECT_SCHEMA

  string

  Unqualified schema name in which the object is defined. A null value if the provider does not support schemas.

  OBJECT_NAME

  string

  Object name.

  OBJECT_TYPE

  string

  Object type. One of the following: DOMAIN, CHARACTER SET, COLLATION, or TRANSLATION.

  GRANTOR

  string

  User that granted the privileges on the object in OBJECT_NAME.

  GRANTEE

  string

  User name (or "PUBLIC") that the privilege has been granted to.

  Returns the USAGE privileges on objects defined in the catalog that are available to or granted by a given user.

  1.0.5000.0
  2.0.0.0
  f8113a2b-2934-4c67-ab7b-adbe3ab74973
- Field
  System.Guid

  maps to the OLE DB VIEW_COLUMN_USAGE rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  VIEW_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  VIEW_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  VIEW_NAME

  string

  View name.

  Returns the columns on which viewed tables depend, as defined in the catalog and owned by a given user.

  1.0.5000.0
  2.0.0.0
  2c91ef91-02d8-4d38-ae5a-1e826873d6ea
- Field
  System.Guid

  maps to the OLE DB VIEW_TABLE_USAGE rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  VIEW_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  VIEW_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  VIEW_NAME

  string

  View name.

  Returns the tables on which viewed tables, defined in the catalog and owned by a given user, are dependent.

  1.0.5000.0
  2.0.0.0
  7dcb7f53-1045-4fdf-86a1-d3caaf27c7f5
- Field
  System.Guid

  maps to the OLE DB VIEWS rowset. Unless otherwise specified, restriction columns are returned in the following order.

  Restriction column

  CLR data type

  Description

  TABLE_CATALOG

  string

  Catalog name. A null value if the provider does not support catalogs.

  TABLE_SCHEMA

  string

  Unqualified schema name. A null value if the provider does not support schemas.

  TABLE_NAME

  string

  View name.

  Returns the views defined in the catalog that is accessible to a given user.

  1.0.5000.0
  2.0.0.0
  9a6345b6-61a0-40fd-9b45-402f3c9c9c3e